# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:		cdm
Version:	0.5.3
Release:	alt3_21
Summary:	Very minimalistic login manager

Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://github.com/ghost1227/cdm

# git clone https://github.com/ghost1227/cdm.git
# cd cdm && git archive --format=tar --prefix="cdm-0.5.3/" 1df217f0a53df4087ebefa54425298bc752a3ba5 | gzip > cdm-0.5.3.tar.gz
Source0:	%{name}-%{version}.tar.gz

Patch0:		cdm-fedora-default-config.patch
Patch1:		cdm-0.5.3-nohup-removal-and-no-background-startx.patch

BuildArch:	noarch

Requires:	dialog xinit /usr/bin/xdpyinfo
Source44: import.info

%description
CDM is a minimalistic, yet full-featured replacement for login-managers
like slim, kdm, gdm and qingy that provides a fast, dialog-based login
system without the overhead of the X Window System. Written in pure bash.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

install -Dm755 src/cdm $RPM_BUILD_ROOT/%{_bindir}/cdm
install -Dm644 src/zzz-cdm-profile.sh $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
install -Dm644 src/cdmrc $RPM_BUILD_ROOT/%{_sysconfdir}/cdmrc
install -m755 src/xinitrc $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/
cp -rf src/themes/* $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

%files
%doc COPYING CHANGELOG src/xinitrc.skel
%{_bindir}/cdm
%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
%{_datarootdir}/%{name}/

%config(noreplace) %{_sysconfdir}/cdmrc


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_20
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_18
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_17
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_16
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_14
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_13
- update to new release by fcimport

* Sun Mar 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt3_9
- use post/un_service for service-only packages

* Wed Mar 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt2_9
- fixed build

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_9
- update to new release by fcimport

* Tue Aug 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_8
- new release

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_6
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1_5
- fc import

